SteelCentral AppInternals Cluster upgrade to version 10.21 from version 10.18 is failing with error - "file:///var/lib/appinternals/upgrade_packages/cd/repodata/repomd.xml: [Errno 14] Could not open/read "

Categories: SteelCentral AppInternals (AppInternals Xpert)
Solution Number: S33559

Issue

We are running SteelCentral AppInternals Cluster on Linux hosts. When we try to upgrade from v10.18.0 to v10.21 the upgrade fails. We see the below error in the webUI.

Loaded plugins: remove-with-leaves
Cleaning repos: appinternals-local
Cleaning up Everything
Loaded plugins: remove-with-leaves
Setting up Update Process
file:///var/lib/appinternals/upgrade_packages/cd/repodata/repomd.xml: [Errno 14] Could not open/read file:///var/lib/appinternals/upgrade_packages/cd/repodata/repomd.xml
Trying other mirror.
No Packages marked for Update
Upgrade started
Mounting file: /var/lib/appinternals/upgrade_packages/riverbed_appinternals_v10.21.0.42.iso
Upgrade complete


What is causing the issue and how do we fix it?
 

Solution

The upgrade from SteelCentral AppInternals 10.18.0 to v10.21 is failing because of IPv6 being disabled. At current time if IPv6 was disabled on the linux host we will not be able to mount the upgrade ISO leading to the above mentioned error and eventually the upgrade to fail.

How do I check if IPv6 is disabled?

On linux host as root please run the below command
>cat /proc/cmdline

If you see "ipv6.disable=1"  in the output of the above command then it is confirmed that IPv6 is disabled.

Customer can check if they can enable IPv6 and then mount the ISO again and try the upgrade.
This is a know issue and is being currently tracked by the bug mentioned below.

**Please open a technical support case if you run into any issues

Environment

SteelCentral AppInternals Cluster 10.18, Linux
NOTICE: Riverbed® product names have changed. Please refer to the Product List for a complete list of product names.
Last Modified: 2019-07-09
Can't find an answer? Create a case